# MSGCOMM

NAME
SYNOPSIS
DESCRIPTION
AUTHOR
REPORTING BUGS
COPYRIGHT
SEE ALSO

## NAME

| msgcomm - match two message catalogs

## SYNOPSIS

| msgcomm [OPTION] [INPUTFILE]...

## DESCRIPTION

| Find messages which are common to two or more of the specified PO files. By using the --more-than option, greater commonality may be requested before messages are printed. Conversely, the --less-than option may be used to specify less commonality before messages are printed (i.e. --less-than=2 will only print the unique messages). Translations, comments and extract comments will be preserved, but only from the first PO file to define them. File positions from all PO files will be cumulated.

| Mandatory arguments to long options are mandatory for short options too.

| Input file location:

| INPUTFILE ...

| input files

| -f, --files-from=FILE

| get list of input files from FILE

| -D, --directory=DIRECTORY

| add DIRECTORY to list for input files search

| If input file is -, standard input is read.

| Output file location:

| -o, --output-file=FILE

| write output to specified file

| The results are written to standard output if no output file is specified or if it is -.

| Message selection:

| -<, --less-than=NUMBER

| print messages with less than this many definitions, defaults to infinite if not set

| ->, --more-than=NUMBER

| print messages with more than this many definitions, defaults to 1 if not set

| -u, --unique

| shorthand for --less-than=2, requests that only unique messages be printed

| Input file syntax:

| -P, --properties-input

| input files are in Java .properties syntax

| --stringtable-input

| input files are in NeXTstep/GNUstep .strings syntax

| Output details:

| -e, --no-escape

| do not use C escapes in output (default)

| -E, --escape

| use C escapes in output, no extended chars

| --force-po

| write PO file even if empty

| -i, --indent

| write the .po file using indented style

| --no-location

| do not write '#: filename:line' lines

| -n, --add-location

| generate '#: filename:line' lines (default)

| --strict

| write out strict Uniforum conforming .po file

| -p, --properties-output

| write out a Java .properties file

| --stringtable-output

| write out a NeXTstep/GNUstep .strings file

| -w, --width=NUMBER

| set output page width

| --no-wrap

| do not break long message lines, longer than the output page width, into several lines

| -s, --sort-output

| generate sorted output

| -F, --sort-by-file

| sort output by file location

| --omit-header

| don't write header with `msgid ""' entry

| Informative output:

| -h, --help

| display this help and exit

| -V, --version

| output version information and exit

## AUTHOR

| Written by Peter Miller.

## REPORTING BUGS

| Report bugs to <bug-gnu-gettext@gnu.org>.

## COPYRIGHT

| Copyright 1995-1998, 2000-2007 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

## SEE ALSO

| The full documentation for msgcomm is maintained as a Texinfo manual. If the info and msgcomm programs are properly installed at your site, the command

| info msgcomm

| should give you access to the complete manual.